### Method

# ICalGLib Recurrence get_by_array_size

since: 4.0

#### Declaration [src]

    guint
    i_cal_recurrence_get_by_array_size (
      ICalRecurrence* recur,
      ICalRecurrenceByRule byrule
    )

#### Description [src]

Returns the size of given ‘by’ array from `ICalRecurrence`.

Available since: 4.0

#### Parameters

`byrule`

  Type: `ICalRecurrenceByRule`

  The ‘by’ part to use.

#### Return value

Type: `guint`

The current size of the given ‘by’ array.